#
# spec file for package nn_spool (Version 6.5.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         nn_spool
Copyright:    1990 Kim F. Storm
Group:        Applications/News
Provides:     nn-spool
Conflicts:    nn
Autoreqprov:  on
Version:      6.5.1
Release:      536
Summary:      The nn news reader
Source:       nn-6.5.1.tar.gz
Patch:        nn_spool.dif
Patch1:       sf_warnings.dif
Patch2:       format-sec-fix.dif

%description
This is the nn news reader (NetNews). It is configured to read the local
/var/spool/mail directory.

Authors:
--------
    Kim F. Storm <storm@texas.dk>

SuSE series: n

%prep
%setup -n nn-6.5.1
%patch
%patch1
%patch2

%build
cp config.h-dist config.h
make

%install
. ./inst_ro

%files
/usr/bin/nn
/usr/bin/nngrab
/usr/bin/nnstats
/usr/bin/nnusage
/usr/lib/nn
%doc %{_mandir}/man1/nn.1.gz
%doc %{_mandir}/man1/nnacct.1m.gz
%doc %{_mandir}/man1/nnadmin.1m.gz
%doc %{_mandir}/man1/nncheck.1.gz
%doc %{_mandir}/man1/nngoback.1.gz
%doc %{_mandir}/man1/nngrab.1.gz
%doc %{_mandir}/man1/nngrep.1.gz
%doc %{_mandir}/man1/nnpost.1.gz
%doc %{_mandir}/man1/nnstats.1m.gz
%doc %{_mandir}/man1/nntidy.1.gz
%doc %{_mandir}/man1/nnusage.1m.gz
%doc %{_mandir}/man1/nnview.1.gz
%doc %{_mandir}/man8/nnmaster.8.gz
%doc %{_mandir}/man8/nnspew.8.gz

%changelog -n nn_spool
* Wed Jul 10 2002 - fehr@suse.de
- add security patch to fix some formating bugs (by Thomas Biege)
* Wed May 16 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Fri May 26 2000 - fehr@suse.de
- add patch from Patrick D'Cruze to support more than 32767 newgroups
* Wed Mar 01 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
- Link against ncurses
* Mon Sep 20 1999 - ro@suse.de
- added requires nntp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 20 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
* Fri Nov 07 1997 - ro@suse.de
- ready for automatic build
